Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class AbstractTreeNodeUI

    java.lang.Object
      |
      +--jpos.config.simple.editor.AbstractTreeNodeUI

All Implemented Interfaces:
  TreeNodeUI

Direct Known Subclasses:
  CategoryTreeNodeUI, LeafTreeNodeUI, ManufacturerTreeNodeUI

public abstract class AbstractTreeNodeUI
extends java.lang.Object
implements TreeNodeUI

Common methods and variables for different types of classes that implement the TreeNodeUI interface

Since:
  1.3 (SF 2K meeting)
Author:
  Manuel M Monserrate, E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`protected javax.swing.ImageIcon` | `treeImageIcon`

Constructor Summary
`AbstractTreeNodeUI()`

Method Summary
`abstract javax.swing.ImageIcon` | `getImageIcon()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getToolTipText()`
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### treeImageIcon

    protected javax.swing.ImageIcon treeImageIcon

Constructor Detail

### AbstractTreeNodeUI

    public AbstractTreeNodeUI()

Method Detail

### getName

    public abstract java.lang.String getName()

  Specified by:
    `getName` in interface `TreeNodeUI`
  Returns:
    the JposEntry's logical name for the JposEntry inside the TreeNodeUI object

### getImageIcon

    public abstract javax.swing.ImageIcon getImageIcon()

  Specified by:
    `getImageIcon` in interface `TreeNodeUI`
  Returns:
    the ImageIcon for displaying the node on the tree

### toString

    public abstract java.lang.String toString()

  Specified by:
    `toString` in interface `TreeNodeUI`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this object

### getToolTipText

    public abstract java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `TreeNodeUI`
  Returns:
    the text to display as tool tip text in the tree view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details